System 4.0.0.0 System.Configuration.ConfigurationElement System.MonoTODO

An can be configured for server applications using standard configuration files.

The class represents a configuration element for an .

- Constructor
  4.0.0.0

  When this constructor is used to initialize a new instance of the class, the property is set to , the property is set to , and the property is set to null.

  The properties on the class instance should be set to appropriate values for the application before calling the method.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Security.Authentication.ExtendedProtection.ExtendedProtectionPolicy

  The properties on the class instance must be set before calling the method.

  The method builds a new instance based on the properties set on the class.

  A new instance that represents the extended protection policy created.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("customServiceNames")
  System.Security.Authentication.ExtendedProtection.Configuration.ServiceNameElementCollection To be added. To be added.

  Gets or sets the custom Service Provider Name (SPN) list used to match against a client's SPN for this configuration policy element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("policyEnforcement")
  System.Security.Authentication.ExtendedProtection.PolicyEnforcement To be added.

  This value is an value.

  Gets or sets the policy enforcement value for this configuration policy element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("protectionScenario", DefaultValue=Mono.Cecil.CustomAttributeArgument)
  System.Security.Authentication.ExtendedProtection.ProtectionScenario To be added. To be added.

  Gets or sets the kind of protection enforced by the extended protection policy for this configuration policy element.